Bug 651656 - (ghc-ltk) Review Request: ghc-ltk - A UI toolkit for Leksah
Review Request: ghc-ltk - A UI toolkit for Leksah
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
Fedora Extras Quality Assurance
:
Depends On: haddock
Blocks: leksah-server
  Show dependency treegraph
 
Reported: 2010-11-09 21:16 EST by Narasimhan
Modified: 2011-06-08 20:03 EDT (History)
3 users (show)

See Also:
Fixed In Version: ghc-ltk-0.10.0.4-2.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-28 20:04:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
petersen: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)
ghc-ltk.spec-1.patch (1.42 KB, patch)
2011-05-02 10:57 EDT, Jens Petersen
no flags Details | Diff

  None (edit)
Description Narasimhan 2010-11-09 21:16:48 EST
SPEC File URL : https://sites.google.com/site/lakshminaras2002/home/ghc-ltk.spec?attredirects=0&d=1

SRPM URL : https://sites.google.com/site/lakshminaras2002/home/ghc-ltk-0.8.0.8-1.fc14.src.rpm?attredirects=0&d=1

rpmlint  -i  *.rpm ghc-ltk.spec 
ghc-ltk.src: W: spelling-error Summary(en_US) Leksah -> Leks ah, Leks-ah, Levkas
The value of this tag appears to be misspelled. Please double-check.

ghc-ltk.x86_64: W: spelling-error Summary(en_US) Leksah -> Leks ah, Leks-ah, Levkas
The value of this tag appears to be misspelled. Please double-check.

ghc-ltk-devel.x86_64: W: spelling-error Summary(en_US) Leksah -> Leks ah, Leks-ah, Levkas
The value of this tag appears to be misspelled. Please double-check.

ghc-ltk-prof.x86_64: E: devel-dependency ghc-ltk-devel
Your package has a dependency on a devel package but it's not a devel package
itself.

ghc-ltk-prof.x86_64: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

ghc-ltk-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.12.3/ltk-0.8.0.8/libHSltk-0.8.0.8_p.a
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

4 packages and 1 specfiles checked; 1 errors, 5 warnings
Comment 1 Narasimhan 2011-02-07 06:18:20 EST
I will update the spec file to cabal2spec 0.22.4 and provide the new links.
Comment 2 Jens Petersen 2011-03-22 05:29:52 EDT
(In reply to comment #1)
> I will update the spec file to cabal2spec 0.22.4 and provide the new links.

Please do - cabal2spec-0.22.5 is now available.
Comment 3 Narasimhan 2011-03-26 01:42:54 EDT
Updated build for f14. I need to make some modifications to the spec file in order to make ltk build for f15 and rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=2947696
Comment 4 Narasimhan 2011-03-26 02:00:10 EDT
http://narasim.fedorapeople.org/package_reviews/ghc-ltk.spec

http://narasim.fedorapeople.org/package_reviews/ghc-ltk-0.8.0.8-2.fc14.src.rpm

rpmlint  -i *.rpm *.spec
ghc-ltk.i686: W: spelling-error Summary(en_US) Leksah -> Leks ah, Leks-ah, Leukas
The value of this tag appears to be misspelled. Please double-check.

ghc-ltk.src: W: spelling-error Summary(en_US) Leksah -> Leks ah, Leks-ah, Leukas
The value of this tag appears to be misspelled. Please double-check.

ghc-ltk-devel.i686: W: spelling-error Summary(en_US) Leksah -> Leks ah, Leks-ah, Leukas
The value of this tag appears to be misspelled. Please double-check.

ghc-ltk-prof.i686: E: devel-dependency ghc-ltk-devel
Your package has a dependency on a devel package but it's not a devel package
itself.

ghc-ltk-prof.i686: W: spelling-error Summary(en_US) Leksah -> Leks ah, Leks-ah, Leukas
The value of this tag appears to be misspelled. Please double-check.

ghc-ltk-prof.i686: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

ghc-ltk-prof.i686: W: devel-file-in-non-devel-package /usr/lib/ghc-6.12.3/ltk-0.8.0.8/libHSltk-0.8.0.8_p.a
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

4 packages and 1 specfiles checked; 1 errors, 6 warnings.
Comment 5 Jens Petersen 2011-03-29 00:47:10 EDT
Thanks I send a patch for darcs head upstream to get it to build
with haskell-platform-2011.

Not sure when they plan to release 0.9.
Comment 7 Narasimhan 2011-03-29 02:12:24 EDT
Ok, thanks. I will use the patch to build for f15 and rawhide.
Comment 8 Jens Petersen 2011-04-11 02:13:20 EDT
Sorry, leksah-0.10 is now on hackage.

So probably it is better to update to ltk-0.10.0
so we can do this review in rawhide koji.
Comment 9 Narasimhan 2011-04-12 02:44:31 EDT
Ok, i will update the spec to build 0.10. in a couple of days.
Comment 10 Narasimhan 2011-04-15 09:50:48 EDT
Spec file:
http://narasim.fedorapeople.org/package_reviews/ghc-ltk.spec

SRPM link:
http://narasim.fedorapeople.org/package_reviews/ghc-ltk-0.10.0-1.fc14.src.rpm

rpmlint  -i *.rpm ghc-ltk-0.10.0-1.fc15.src/ghc-ltk.spec 
ghc-ltk.i686: W: spelling-error Summary(en_US) Leksah -> Leks ah, Leks-ah, Leukas
The value of this tag appears to be misspelled. Please double-check.

ghc-ltk.src: W: spelling-error Summary(en_US) Leksah -> Leks ah, Leks-ah, Leukas
The value of this tag appears to be misspelled. Please double-check.

ghc-ltk-devel.i686: W: spelling-error Summary(en_US) Leksah -> Leks ah, Leks-ah, Leukas
The value of this tag appears to be misspelled. Please double-check.

ghc-ltk-prof.i686: E: devel-dependency ghc-ltk-devel
Your package has a dependency on a devel package but it's not a devel package
itself.

ghc-ltk-prof.i686: W: spelling-error Summary(en_US) Leksah -> Leks ah, Leks-ah, Leukas
The value of this tag appears to be misspelled. Please double-check.

ghc-ltk-prof.i686: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

ghc-ltk-prof.i686: W: devel-file-in-non-devel-package /usr/lib/ghc-7.0.2/ltk-0.10.0/libHSltk-0.10.0_p.a
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

4 packages and 1 specfiles checked; 1 errors, 6 warnings.
Comment 11 Jens Petersen 2011-04-28 01:53:09 EDT
BTW latest upstream version is now 0.10.0.4
which should also build with parsec-3.

Sorry for sitting on this forever and a day:
I just submitted PackagingDrafts/Haskell for comments
and I start the review now.
Comment 12 Narasimhan 2011-05-01 09:22:03 EDT
>Sorry for sitting on this forever and a day:
Np. I got ghc-binary-shared reviewed and updated.

>I just submitted PackagingDrafts/Haskell for comments
>and I start the review now.
Great. I will provide my comments, if any.
Comment 13 Narasimhan 2011-05-01 09:27:45 EDT
http://narasim.fedorapeople.org/package_reviews/ghc-ltk-0.10.0.4-1.fc14.src.rpm

http://narasim.fedorapeople.org/package_reviews/ghc-ltk.spec

pmlint  -i ghc-ltk-*10.0.4*.rpm ../../SRPMS/ghc-ltk-0.10.0.4-1.fc14.src.rpm 
ghc-ltk.i686: W: spelling-error Summary(en_US) Leksah -> Leks ah, Leks-ah, Leukas
The value of this tag appears to be misspelled. Please double-check.

ghc-ltk-devel.i686: W: spelling-error Summary(en_US) Leksah -> Leks ah, Leks-ah, Leukas
The value of this tag appears to be misspelled. Please double-check.

ghc-ltk-prof.i686: E: devel-dependency ghc-ltk-devel
Your package has a dependency on a devel package but it's not a devel package
itself.

ghc-ltk-prof.i686: W: spelling-error Summary(en_US) Leksah -> Leks ah, Leks-ah, Leukas
The value of this tag appears to be misspelled. Please double-check.

ghc-ltk-prof.i686: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

ghc-ltk-prof.i686: W: devel-file-in-non-devel-package /usr/lib/ghc-6.12.3/ltk-0.10.0.4/libHSltk-0.10.0.4_p.a
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

ghc-ltk.src: W: spelling-error Summary(en_US) Leksah -> Leks ah, Leks-ah, Leukas
The value of this tag appears to be misspelled. Please double-check.

4 packages and 0 specfiles checked; 1 errors, 6 warnings
Comment 14 Jens Petersen 2011-05-01 23:33:26 EDT
BTW latest upstream version is now 0.10.0.4
which should also build with parsec-3.

Sorry for sitting on this forever and a day:
last week I finally submitted the revised PackagingDrafts/Haskell
for comments and I will post my review here shortly.
Comment 15 Jens Petersen 2011-05-02 10:53:02 EDT
Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=3044757


Here is the review:

 +:ok, !: needs attention, NA: not applicable

MUST Items:
[+] MUST: rpmlint output

ghc-ltk.src: W: spelling-error Summary(en_US) Leksah -> Leks ah, Leks-ah, Levkas
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
ghc-ltk.x86_64: W: spelling-error Summary(en_US) Leksah -> Leks ah, Leks-ah, Levkas
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
ghc-ltk-devel.x86_64: W: spelling-error Summary(en_US) Leksah -> Leks ah, Leks-ah, Levkas
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
ghc-ltk-prof.x86_64: E: devel-dependency ghc-ltk-devel
ghc-ltk-prof.x86_64: W: spelling-error Summary(en_US) Leksah -> Leks ah, Leks-ah, Levkas
ghc-ltk-prof.x86_64: W: no-documentation
ghc-ltk-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.12.3/ltk-0.10.0/libHSltk-0.10.0_p.a
1 packages and 0 specfiles checked; 1 errors, 3 warnings.

[+] MUST: Package Naming Guidelines
[+] MUST: spec file name must match base package %{name}
[+] MUST: Packaging Guidelines.
[+] MUST: Licensing Guidelines
[!] MUST: License field in the package spec file must match actual license.

License is ok but it is unfortunately
unclear from the source headers what exact
version of GPL is intended: eg GPLv2 vs GPLv2+ say.

https://fedoraproject.org/wiki/Licensing/FAQ#How_do_I_figure_out_what_version_of_the_GPL.2FLGPL_my_package_is_under.3F

Hence going by point (4) there since only the LICENSE (COPYING) file
mentions GPLv2+, but the version is not specified explicitly
in the source tree, we have to assume GPL+ (ie any version of GPL) for now.

Can you please contact upstream to clarify the intended GPL version
and ask them to state it in the source.  The best way to do this
would actually be to add the usual "GPL version or later" paragraph as
a header to each source file.  I am afraid the same problem also seems
to exist for leksah and leksah-server afaics, so best to mention them
all altogether probably.

In the meantime the package can be license tagged GPL+ to avoid further delay
until upstream has clarified and hopes updates in a coming release.

[+] MUST: include license files in %doc if available in source
[+] MUST: The spec file must be written in American English and be legible.
[+] MUST: source md5sum matches upstream release
a520300be890862ae0d816adbd67d198  ltk-0.10.0.tar.gz
[+] MUST: must successfully compile and build into binary rpms on one main arch
[+] MUST: if necessary use ExcludeArch for other archs
[+] MUST: All build dependencies must be listed in BuildRequires
[NA] MUST: use %find_lang macro for .po translations
[NA] MUST: packages which store shared library files in the dynamic linker's default paths, must call ldconfig in %post and %postun.
[NA] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review
[+] MUST: A package must own all directories that it creates.
[+] MUST: A package must not contain any duplicate files in the %files listing.
[+] MUST: Permissions on files must be set properly. Every %files section must include a %defattr(...) line.
[+] MUST: Each package must consistently use macros, as described in the macros section of Packaging Guidelines.
[+] MUST: The package must contain code, or permissable content.
[NA] MUST: Large documentation files should go in a doc subpackage.
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[+] MUST: Header files must be in a -devel package.
[NA] MUST: Static libraries must be in a -static package.
[NA] MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in
a -devel package.
[+] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency
[+] MUST: Packages must NOT contain any .la libtool archives, these should be removed in the spec.
[NA] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section.
[+] MUST: Packages must not own files or directories already owned by other packages.
[+] MUST: All filenames in rpm packages must be valid UTF-8.

SHOULD Items:
[+] SHOULD: The reviewer should test that the package builds in mock.
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[+] SHOULD: If scriptlets are used, those scriptlets must be sane.

Package is APPROVED.
Comment 16 Jens Petersen 2011-05-02 10:57:04 EDT
Created attachment 496278 [details]
ghc-ltk.spec-1.patch

Little patch to cleanup formatting.

Needs a changelog entry explaining the license field.
Comment 17 Narasimhan 2011-05-15 07:36:44 EDT
New Package SCM Request
=======================
Package Name: ghc-ltk
Short Description:  A UI toolkit for Leksah
Owners: narasim
Branches: f13 f14 f15
InitialCC: haskell-sig
Comment 18 Jason Tibbitts 2011-05-18 17:26:40 EDT
Git done (by process-git-requests).
Comment 19 Fedora Update System 2011-05-21 09:19:08 EDT
ghc-ltk-0.10.0.4-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/ghc-ltk-0.10.0.4-2.fc14
Comment 20 Fedora Update System 2011-05-21 09:19:17 EDT
ghc-ltk-0.10.0.4-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/ghc-ltk-0.10.0.4-2.fc15
Comment 21 Fedora Update System 2011-05-24 23:10:03 EDT
ghc-ltk-0.10.0.4-2.fc15 has been pushed to the Fedora 15 testing repository.
Comment 22 Fedora Update System 2011-05-28 20:04:27 EDT
ghc-ltk-0.10.0.4-2.fc15 has been pushed to the Fedora 15 stable repository.
Comment 23 Fedora Update System 2011-06-08 20:03:09 EDT
ghc-ltk-0.10.0.4-2.fc14 has been pushed to the Fedora 14 stable repository.

Note You need to log in before you can comment on or make changes to this bug.